de.esprit.common.gui

## Enum ZErrorType

- java.lang.Object
- - java.lang.Enum<ZErrorType>
  - - de.esprit.common.gui.ZErrorType

- All Implemented Interfaces:
    IconKey, NlsKey, ErrorType, java.io.Serializable, java.lang.Comparable<ZErrorType>

      public enum ZErrorType
      extends java.lang.Enum<ZErrorType>
      implements ErrorType

  This enum provides default `ErrorType` constants
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONFIG`
    `CONNECTION`
    `CONVERSION`
    `DATA`
    `DATABASE`
    `DBMODEL`
    `DBOBJECT`
    `ERROR`
    `FATAL`
    `FILE_IO`
    `INPUT`
    `INTERNAL`
    `NET_IO`
    `PARSE`
    `PERMISSION`
    `PLUGIN`
    `PRINT`
    `RESOURCE`
    `TASK`
    `TIMEOUT`
    `TOO_MANY_ERRORS`
    `TRANSFER`
    `UNKNOWN`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `javax.swing.Icon` | `getIcon()`
    `java.awt.Image` | `getImage()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `static ZErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ZErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

    - ### Methods inherited from interface de.esprit.appsuite.nls.IconKey

      `name`

- - ### Enum Constant Detail

    - #### ERROR

          public static final ZErrorType ERROR

    - #### FATAL

          public static final ZErrorType FATAL

    - #### CONFIG

          public static final ZErrorType CONFIG

    - #### CONNECTION

          public static final ZErrorType CONNECTION

    - #### INTERNAL

          public static final ZErrorType INTERNAL

    - #### DATABASE

          public static final ZErrorType DATABASE

    - #### DBMODEL

          public static final ZErrorType DBMODEL

    - #### RESOURCE

          public static final ZErrorType RESOURCE

    - #### DATA

          public static final ZErrorType DATA

    - #### INPUT

          public static final ZErrorType INPUT

    - #### FILE_IO

          public static final ZErrorType FILE_IO

    - #### NET_IO

          public static final ZErrorType NET_IO

    - #### DBOBJECT

          public static final ZErrorType DBOBJECT

    - #### PERMISSION

          public static final ZErrorType PERMISSION

    - #### TIMEOUT

          public static final ZErrorType TIMEOUT

    - #### PLUGIN

          public static final ZErrorType PLUGIN

    - #### PRINT

          public static final ZErrorType PRINT

    - #### TASK

          public static final ZErrorType TASK

    - #### TRANSFER

          public static final ZErrorType TRANSFER

    - #### CONVERSION

          public static final ZErrorType CONVERSION

    - #### PARSE

          public static final ZErrorType PARSE

    - #### TOO_MANY_ERRORS

          public static final ZErrorType TOO_MANY_ERRORS

    - #### UNKNOWN

          public static final ZErrorType UNKNOWN

  - ### Method Detail

    - #### values

          public static ZErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZErrorType c : ZErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZErrorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getIcon

          public javax.swing.Icon getIcon()

      Specified by:
        `getIcon` in interface `IconKey`

    - #### getImage

          public java.awt.Image getImage()

      Specified by:
        `getImage` in interface `IconKey`

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.